#!/usr/bin/python
# -*- coding: utf-8 -*-

from pathlib import Path

from setuptools import find_packages, setup

VERSION = open("schema/_version.py").readlines()[-1].split()[-1].strip("\"'")
README = Path("README.md").read_text()

setup(
    name="ssa-" + Path().absolute().name,
    version=VERSION,
    description="NRAO Archive Schema Library",
    long_description=README,
    author="NRAO SSA Team",
    author_email="dms-ssa@nrao.edu",
    url="TBD",
    license="GPL",
    install_requires=[
        "pendulum==2.1.2",
        "sqlalchemy",
        "pycapo",
        "psycopg2",
        "mysqlclient",
        "cx_Oracle",
    ],
    keywords=[],
    packages=["schema"],
    classifiers=["Programming Language :: Python :: 3.8"],
)
